Bug 475997 - sytem-config-lvm crashed with 'IndexError: list index out of range'
sytem-config-lvm crashed with 'IndexError: list index out of range'
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-lvm (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Marek Grac
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-11 09:15 EST by mad
Modified: 2009-08-28 02:13 EDT (History)
7 users (show)

See Also:
Fixed In Version: 1.1.9-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-26 22:13:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (806 bytes, patch)
2009-08-10 15:35 EDT, Marek Grac
no flags Details | Diff

  None (edit)
Description mad 2008-12-11 09:15:04 EST
Description of problem:
- Remote login to server
- Execution of 'system-config-lvm'
- GUI pops up, additional pop-up 'Reloading LVM. Please wait.' appears
- GUI crashes

# system-config-lvm
Traceback (most recent call last):
  File "/usr/sbin/system-config-lvm", line 173, in <module>
    runFullGUI()
  File "/usr/sbin/system-config-lvm", line 158, in runFullGUI
    blvm = baselvm(glade_xml, app)
  File "/usr/sbin/system-config-lvm", line 108, in __init__
    self.volume_tab_view = Volume_Tab_View(glade_xml, self.lvmm, self.main_win)
  File "/usr/share/system-config-lvm/Volume_Tab_View.py", line 133, in __init__
    self.prepare_tree()
  File "/usr/share/system-config-lvm/Volume_Tab_View.py", line 214, in prepare_tree
    self.model_factory.reload()
  File "/usr/share/system-config-lvm/lvm_model.py", line 164, in reload
    self.__PVs = self.__query_partitions()
  File "/usr/share/system-config-lvm/lvm_model.py", line 198, in __query_partitions
    multipath_data = multipath_obj.get_multipath_data()
  File "/usr/share/system-config-lvm/Multipath.py", line 53, in get_multipath_data
    block_devices.append(['/dev/' + words[9], words[4].rstrip(','), words[5]])
IndexError: list index out of range

Version-Release number of selected component (if applicable):
system-config-lvm-1.1.4-1.0.fc9.noarch

How reproducible:
always

Steps to Reproduce:
1. see above 'Description of Problem'
  
Actual results:
Crashed system-config-lvm

Expected results:
Running system-config-lvm

Additional info:
Worked in Fedora 8
Comment 1 Bug Zapper 2009-06-09 23:24:43 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-07-14 11:37:54 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 mad 2009-07-15 02:08:45 EDT
Fedora 10 has the same problem. This is my fix:

--- Multipath.py~       2009-07-06 11:24:08.000000000 +0200
+++ Multipath.py        2009-07-06 11:24:23.000000000 +0200
@@ -1,3 +1,4 @@
+# -*- coding: iso-8859-15 -*-

 import os

@@ -50,7 +51,10 @@
                 continue
             if words[0][0] == 'b':
                 # [name, major, minor]
+               try:
                 block_devices.append(['/dev/' + words[9], words[4].rstrip(','), words[5]])
+               except:
+                 pass

         # process dmsetup table
         for line in dmtable_lines:
Comment 4 Marek Grac 2009-08-10 15:34:41 EDT
With that fix block_devices won't be filled at all. Problem is in date format in ls. s-c-lvm is looking for:

brw-r--r-- 1 root root        250,   9 Mar 17  2008 zz

you have:

brw-r--r-- 1 root root        250,   9 2008-03-17  zz


'ls -l --time-style=long-iso' will create same environment everywhere

Thanks for reporting bug. Patch sent to upstream
Comment 5 Marek Grac 2009-08-10 15:35:17 EDT
Created attachment 356945 [details]
Proposed patch
Comment 6 Fedora Update System 2009-08-20 09:04:04 EDT
system-config-lvm-1.1.8-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/system-config-lvm-1.1.8-1.fc10
Comment 7 Fedora Update System 2009-08-20 19:01:04 EDT
system-config-lvm-1.1.9-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/system-config-lvm-1.1.9-1.fc10
Comment 8 Fedora Update System 2009-08-21 21:02:20 EDT
system-config-lvm-1.1.9-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-lvm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8861
Comment 9 Fedora Update System 2009-08-26 22:13:08 EDT
system-config-lvm-1.1.9-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 mad@comsoft.aero 2009-08-28 02:13:08 EDT
Works for me. Thank you very much.

Note You need to log in before you can comment on or make changes to this bug.